# VERSION is subbed out during rake srpm process
%global realversion 1.9.0
%global rpmversion 1.9.0

Summary:   Manage the puppet agent with MCollective
Name:      mcollective-puppet
Version:   %{rpmversion}
Release:   1%{?dist}
Vendor:    %{?_host_vendor}
License:   ASL 2.0
URL:       https://github.com/puppetlabs/mcollective-puppet-agent
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Group:     System Tools
Source0:   mcollective-puppet-%{realversion}.tar.gz

%description
Manage the puppet agent with MCollective

%prep
%setup -q  -n %{name}-%{realversion}

%build

%install
rm -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/mcollective/mcollective
cp -a agent aggregate application data util validator %{buildroot}%{_libexecdir}/mcollective/mcollective

%clean
rm -rf %{buildroot}

%package agent
Requires: mcollective-puppet-common = %{version}-%{release}
Group: System Tools
Summary:   Manage the puppet agent with MCollective

%package client
Requires: mcollective-puppet-common = %{version}-%{release}
Group: System Tools
Summary:   Manage the puppet agent with MCollective

%package common
Requires: mcollective-common >= 2.2.1
Group: System Tools
Summary:   Manage the puppet agent with MCollective

%description agent
Manage the puppet agent with MCollective

%description client
Manage the puppet agent with MCollective

%description common
Manage the puppet agent with MCollective

%files agent
%{_libexecdir}/mcollective/mcollective/agent/*.rb

%files client
%{_libexecdir}/mcollective/mcollective/aggregate/*
%{_libexecdir}/mcollective/mcollective/application/*

%files common
%{_libexecdir}/mcollective/mcollective/agent/*.ddl
%{_libexecdir}/mcollective/mcollective/data/*
%{_libexecdir}/mcollective/mcollective/util/*
%{_libexecdir}/mcollective/mcollective/validator/*

%changelog
* Mon Oct 20 2014 Puppet Labs Release <info@puppetlabs.com> -  1.9.0-1
- Build for 1.9.0
